Page MenuHomePhabricator

When you get an error while posting a reply, but eventually succeed, the reply is posted twice
Closed, ResolvedPublic

Description

When you get an error while posting a reply, but eventually succeed, the reply is posted twice.

Steps to reproduce:

  1. Open the reply tool for some comment
  2. Do something to get an error. For example, disconnect your wifi. On (on Beta only) type "is stupid" to get an AbuseFilter error.
  3. Fix the error (reconnect, or delete that) and save your reply.

The reply will be posted twice, or multiple times, with one duplicate added for each error you got.

Event Timeline

matmarex created this task.Feb 15 2020, 3:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2020, 3:12 AM

Good catch, BD.

I'm pretty sure it was @Esanders who noticed this first, I merely remembered about it ;) (several weeks later…).

Change 572398 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/DiscussionTools@master] Rebuild Parsoid document before attempting to save

https://gerrit.wikimedia.org/r/572398

Change 572398 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Rebuild Parsoid document before attempting to save

https://gerrit.wikimedia.org/r/572398

JTannerWMF moved this task from Inbox to High Priority on the Editing QA board.Mar 7 2020, 12:10 AM
Ryasmeen edited projects, added Verified; removed Editing QA.Mar 24 2020, 7:51 PM
ppelberg closed this task as Resolved.Mar 24 2020, 11:55 PM